%define anolis_release 1

Name:		xdg-user-dirs
Version:	0.18
Release: 	%{anolis_release}%{?dist}
Summary:	Handles user special directories

License:	GPLv2+ and MIT
URL:		https://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	https://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gcc
BuildRequires:	gettext
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
Requires:      %{_sysconfdir}/xdg/autostart

%description
Contains xdg-user-dirs-update that updates folders in a users
homedirectory based on the defaults configured by the administrator.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%generate_compatibility_deps

%find_lang %name


%files -f %{name}.lang
%license COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%{_sysconfdir}/xdg/autostart/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{abidir}
%{abidir}/xdg-user-dir-option.list
%{abidir}/xdg-user-dirs-update-option.list

%files doc
%doc NEWS AUTHORS README

%changelog
* Mon Mar 20 2023 happy_orange <songnannan@linux.alibaba.com> - 0.18-1
- package init from upstream
